package com.srs.comprehensive.mapper;

import java.util.List;
import java.util.Map;

import com.srs.comprehensive.domain.CphGoodAudit;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 评优审核Mapper接口
 *
 * @author srs
 * @date 2023-09-12
 */
public interface CphGoodAuditMapper extends BaseMapper<CphGoodAudit> {
    /**
     * 查询评优审核
     *
     * @param id 评优审核主键
     * @return 评优审核
     */
    public CphGoodAudit selectCphGoodAuditById(Long id);

    public Map<String,Object> fdyCountUnAudit(String tNo);

    public Map<String,Object> xwCountUnAudit(Long deptId);

    public Map<String,Object> jwcCountUnAudit();




    /**
     * 查询评优审核列表
     *
     * @param cphGoodAudit 评优审核
     * @return 评优审核集合
     */
    List<CphGoodAudit> selectCphGoodAuditList(CphGoodAudit cphGoodAudit);

    /**
     * 新增评优审核
     *
     * @param cphGoodAudit 评优审核
     * @return 结果
     */
    int insertCphGoodAudit(CphGoodAudit cphGoodAudit);

    /**
     * 修改评优审核
     *
     * @param cphGoodAudit 评优审核
     * @return 结果
     */
    int updateCphGoodAudit(CphGoodAudit cphGoodAudit);

    /**
     * 删除评优审核
     *
     * @param id 评优审核主键
     * @return 结果
     */
    int deleteCphGoodAuditById(Long id);

    /**
     * 批量删除评优审核
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteCphGoodAuditByIds(Long[] ids);

    int deleteCphGoodAuditByApplyId(Long id);
}
